<div id="current-borrowing" th:fragment="current-reservation" xmlns:th="http://www.thymeleaf.org">
    <!--/*@thymesVar id="currentReservations" type="java.util.ArrayList<org.openclassroom.project.librarywebapp.models.Reservation>"*/-->
    <!--/*@thymesVar id="errorMessage" type="String"*/-->
    <!--/*@thymesVar id="reservation" type="org.openclassroom.project.librarywebapp.models.Reservation"*/-->

    <h3 class="title" th:text="#{parameter.title.currentreservation}"></h3>

    <table class="table table-sm" id="current-reservation-table" th:unless="${currentReservations.isEmpty()}">
        <thead class="thead-brown">
        <tr>
            <th>Title</th>
            <th>Date</th>
        </tr>
        </thead>
        <tbody>
        <tr th:if="${errorMessage != null}" th:text="${errorMessage}"></tr>
        <tr th:each="reservation: ${currentReservations}">
            <td>
                <a class="book-title" th:href="@{/book-detail/{reference}(reference=${reservation.book.reference})}"
                   th:text="${reservation.book.title}"></a>
            </td>
            <td class="cell-centered-content" th:text="${#dates.format(reservation.reservationConvertedDate, 'dd-MM-yyyy')}"></td>
        </tr>
        </tbody>
    </table>

    <!-- If there are no books in reservation -->
    <p th:if="${currentReservations.isEmpty()}" th:text="#{parameter.text.nocurrentreservation}"></p>

    <script type="text/javascript">
        $(document).ready(function () {
            $('#current-reservation-table').DataTable({
                "searching": false,
                "lengthChange": false,
                "pageLength": 5,
                "pagingType": "numbers",
                "info": false
            });
        });
    </script>
</div>